# /**
#  *  '$rcsfile: log4j2.properties,v $'
#  *  copyright: 2020 regents of the university of california and the
#  *              national center for ecological analysis and synthesis
#  *
#  * this program is free software; you can redistribute it and/or modify
#  * it under the terms of the gnu general public license as published by
#  * the free software foundation; either version 2 of the license, or
#  * (at your option) any later version.
#  *
#  * this program is distributed in the hope that it will be useful,
#  * but without any warranty; without even the implied warranty of
#  * merchantability or fitness for a particular purpose.  see the
#  * gnu general public license for more details.
#  *
#  * you should have received a copy of the gnu general public license
#  * along with this program; if not, write to the free software
#  * foundation, inc., 59 temple place, suite 330, boston, ma  02111-1307  usa
#  */

name=Log4j2PropertiesConfigForDataONEIndex

#Reload the file every 120 seconds
monitorInterval=120

#############################################################
# the appendder named consoleAppender with the Console type #
#############################################################
appender.consoleAppender.type=Console
appender.consoleAppender.name=consoleAppender
appender.consoleAppender.layout.type=PatternLayout
appender.consoleAppender.layout.pattern=dataone-indexer %d{yyyyMMdd-HH:mm:ss}: [%p]: %m [%C:%M:%L]%n

##################################
# the root logger configuration  #
##################################
rootLogger.level=INFO
rootLogger.appenderRef.console.ref=consoleAppender

################################################################################
# a customized logger - dataone for the package org.dataone.client on console  #
################################################################################
logger.dataone.name=org.dataone.client
logger.dataone.level=ERROR
logger.dataone.appenderRef.console.ref=consoleAppender

logger.spring.name=org.springframework
logger.spring.level=WARN
logger.spring.appenderRef.console.ref=consoleAppender

################################################################################
# a performance logger - go to console by default                              #
################################################################################
logger.performance.name=performanceStats
logger.performance.level=INFO
logger.performance.appenderRef.console.ref=consoleAppender


################################################################################
# custom for org.apache.http.impl.conn.PoolingHttpClientConnectionManager      #
################################################################################
logger.apacheWire.name=org.apache.http.impl.conn.PoolingHttpClientConnectionManager
logger.apacheWire.level=ERROR
logger.apacheWire.appenderRef.console.ref=consoleAppender
